import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementUI from "element-ui";
import { Plugin } from "vue2-storage";
import dayjs from "dayjs";

import "element-ui/lib/theme-chalk/index.css";
import "./assets/font_antd/iconfont.css";

import "dayjs/locale/zh-cn";
dayjs.locale("zh-cn");
import relativeTime from "dayjs/plugin/relativeTime";
dayjs.extend(relativeTime);

Vue.config.productionTip = false;

Vue.use(ElementUI);
// 客户端存储  Vue.use(Plugin);
Vue.use(Plugin, {
  prefix: "app_",
});
// 注册实例
Vue.prototype.$dayjs = dayjs;
// 时间过滤器
Vue.filter("filterTime", (value) => {
  return dayjs().to(value);
});

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
